Bug 841084 - [RFE]RAW_REPOS is better than RAW_TREES in config file.
[RFE]RAW_REPOS is better than RAW_TREES in config file.
Status: CLOSED NEXTRELEASE
Product: PulpDist
Classification: Community
Component: z_other (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity low
: 0.1.0
: ---
Assigned To: Nick Coghlan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 02:16 EDT by xuezhi ma
Modified: 2014-11-17 21:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 03:08:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xuezhi ma 2012-07-18 02:16:38 EDT
Description of problem:
I think RAW_REPOS is better than RAW_TREES in config file, RAW_TREES entries (with "repo_id" fields) and LOCAL_MIRRORS entries (with "mirror_id" fields) map to Pulp repositories, and we already have REMOTE_TREES, when we use CML to do some operation, --tree:REMOTE_TREES, --mirror:LOCAL_MIRRORS, --repo:RAW_TREES, so, I think --repo:RAW_REPOS is better.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nick Coghlan 2012-07-18 02:58:47 EDT
This is something QE picked up during the initial testing - the reuse of the "_TREES" suffix is really quite confusing, particularly when the identified field in the RAW_TREES case is called "repo_id" and the command line filtering option is "--repo".

RAW_REPOS is a far more sensible name, and the 3.0 release is our last real chance to fix it before backwards compatible becomes a problem for changing it.
Comment 2 Nick Coghlan 2012-07-22 23:54:28 EDT
Updated in git
Comment 3 Nick Coghlan 2012-07-25 00:55:14 EDT
Pushed to staging server in 3.0.12

Expected behaviour:
- "init" command will reject files containing a "RAW_TREES" section
- "init" command will accept files with a "RAW_REPOS" section
Comment 4 Nick Coghlan 2012-09-07 03:08:23 EDT
Fixed in 0.1.0

Note You need to log in before you can comment on or make changes to this bug.